@echo off
REM **************************************************************************
REM
REM EXTDIZ.BAT To extract FILE_ID.DIZ's from archives.
REM
REM **************************************************************************
if %2==ZIP goto ZIP
if %2==LHA goto LHA
if %2==LZH goto LHA
if %2==ARJ goto ARJ
if %2==GIF goto GIF
if %2==EXE goto EXE
if %2==DMS goto DMS
txtdiz %1
goto end

:ZIP
pkunzip %1 file_id.diz >NUL
goto end

:LHA
lha x %1 file_id.diz -a -m >NUL
attrib -h -r -s -a file_id.diz
ami2pc file_id.diz >NUL
goto end

:ARJ
arj x %1 file_id.diz >NUL
goto end

:GIF
gifdiz %1
goto end

:EXE
exediz %1
goto end

:DMS
REM dmsdiz %1
goto end

:END
